## GtkGestureStylus GtkGestureStylus — Gesture for stylus input |

## Functions

GtkGesture * | gtk_gesture_stylus_new ()
gboolean | gtk_gesture_stylus_get_axis ()
gboolean | gtk_gesture_stylus_get_axes ()
GdkDeviceTool * | gtk_gesture_stylus_get_device_tool ()

## Signals

void | down | Run Last
void | motion | Run Last
void | proximity | Run Last
void | up | Run Last

## Types and Values

| GtkGestureStylus

## Object Hierarchy

        GObject
        ╰── GtkEventController
            ╰── GtkGesture
                ╰── GtkGestureSingle
                    ╰── GtkGestureStylus

## Includes

    #include <gtk/gtk.h>

## Description

GtkGestureStylus is a GtkGesture implementation specific to stylus input. The provided signals just provide the basic information

## Functions

### gtk_gesture_stylus_new ()

    GtkGesture *
    gtk_gesture_stylus_new (GtkWidget *widget);

Creates a new GtkGestureStylus.

#### Parameters

widget | a GtkWidget |

#### Returns

a newly created stylus gesture

Since: 3.24

### gtk_gesture_stylus_get_axis ()

    gboolean
    gtk_gesture_stylus_get_axis (GtkGestureStylus *gesture,
                                 GdkAxisUse axis,
                                 gdouble *value);

Returns the current value for the requested `axis` . This function must be called from either the “down”, “motion”, “up” or “proximity” signals.

#### Parameters

gesture | a GtkGestureStylus |
axis | requested device axis |
value | return location for the axis value. | [out]

#### Returns

TRUE if there is a current value for the axis

Since: 3.24

### gtk_gesture_stylus_get_axes ()

    gboolean
    gtk_gesture_stylus_get_axes (GtkGestureStylus *gesture,
                                 GdkAxisUse axes[],
                                 gdouble **values);

Returns the current values for the requested `axes` . This function must be called from either the “down”, “motion”, “up” or “proximity” signals.

#### Parameters

gesture | a GtkGestureStylus |
axes | array of requested axes, terminated with GDK_AXIS_IGNORE. | [array]
values | return location for the axis values. | [out][array]

#### Returns

TRUE if there is a current value for the axes

Since: 3.24

### gtk_gesture_stylus_get_device_tool ()

    GdkDeviceTool *
    gtk_gesture_stylus_get_device_tool (GtkGestureStylus *gesture);

Returns the GdkDeviceTool currently driving input through this gesture. This function must be called from either the “down”, “motion”, “up” or “proximity” signal handlers.

#### Parameters

gesture | a GtkGestureStylus |

#### Returns

The current stylus tool.

[nullable][transfer none]

Since: 3.24

## Types and Values

### GtkGestureStylus

    typedef struct _GtkGestureStylus GtkGestureStylus;

## Signal Details

### The `“down”` signal

    void
    user_function (GtkGestureStylus *gesturestylus,
                   double            arg1,
                   double            arg2,
                   gpointer          user_data)

Flags: Run Last

### The `“motion”` signal

    void
    user_function (GtkGestureStylus *gesturestylus,
                   double            arg1,
                   double            arg2,
                   gpointer          user_data)

Flags: Run Last

### The `“proximity”` signal

    void
    user_function (GtkGestureStylus *gesturestylus,
                   double            arg1,
                   double            arg2,
                   gpointer          user_data)

Flags: Run Last

### The `“up”` signal

    void
    user_function (GtkGestureStylus *gesturestylus,
                   double            arg1,
                   double            arg2,
                   gpointer          user_data)

Flags: Run Last

## See Also

GtkGesture, GtkGestureSingle